Check Object Availability
Description
This API allows you to check if a particular object is stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.
If Versioning is enabled, then the required object can also be referred to using its unique version ID.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/bucket/objects
Query Parameters
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.buckets.objects.READ
Response Details
On successful execution, the response will contain the 200 status code, to indicate the object is present in the bucket. If the object is incorrect or not present in the bucket, you will get a 404 status code as your response.
curl -X HEAD https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object?bucket_name=myBucketName&object_key=image.jpeg&version_id=dfd233fcds2wd223/
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
Yes
No
Send your feedback to us